## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual
Interface IVirtualCreationNode

All Superinterfaces:
  IVirtualNode

All Known Implementing Classes:
  org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.IndexNode, SybaseASAIndexNode, SybaseASATableNode, SybaseASAUDTNode, SybaseASAViewNode, SybaseASEIndexNode, SybaseASETableNode, SybaseASEUDTNode, SybaseASEViewNode, SybaseIndexNode, SybaseViewNode, SybaseViewNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.TableNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.UDTNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.ViewNode

    public interface IVirtualCreationNode

extends IVirtualNode

Method Summary
`org.eclipse.jface.resource.ImageDescriptor[]` `getCreateImageDescriptor()` Get the image descriptors for the Create menu.
`java.lang.String[]` `getCreateLabel()` Get the labels for the Create menu.
`org.eclipse.emf.ecore.EClass[]` `getCreateType()` Get the types of objects to be created for the Create menu.
`boolean` `shouldDisplayAdd()` Returns true if the Create menu should be displayed as Add.
`boolean` `shouldDisplayCreate()` Returns true if the Create menu should be displayed as Create.

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual.IVirtualNode
`addChildren, addChildren, getChildrenArray, getDisplayName, getGroupID, getName, getParent, getParentConnection, hasChildren, removeAllChildren, removeChildren`

Method Detail

### getCreateImageDescriptor

    org.eclipse.jface.resource.ImageDescriptor[] getCreateImageDescriptor()

  Get the image descriptors for the Create menu.

  Returns:
    An array of ImageDescriptor objects.

### getCreateLabel

    java.lang.String[] getCreateLabel()

  Get the labels for the Create menu.

  Returns:
    An array of String objects.

### getCreateType

    org.eclipse.emf.ecore.EClass[] getCreateType()

  Get the types of objects to be created for the Create menu.

  Returns:
    An array of EClass objects.

### shouldDisplayAdd

    boolean shouldDisplayAdd()

  Returns true if the Create menu should be displayed as Add.

  Returns:
    boolean

### shouldDisplayCreate

    boolean shouldDisplayCreate()

  Returns true if the Create menu should be displayed as Create.

  Returns:
    boolean